import { OnInit, OnDestroy } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { JsonSchemaFormService } from '../json-schema-form.service';
import { isArray } from '../shared';
export declare class SelectComponent implements OnInit, OnDestroy {
    private jsf;
    formControl: AbstractControl;
    controlName: string;
    controlValue: any;
    boundControl: boolean;
    options: any;
    selectList: any[];
    isArray: typeof isArray;
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    private dataChanges$;
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly controlDisabled: boolean;
    updateValue(event: any): void;
    updateDisabled(): void;
}
