/**
 * Custom Ajv keywords for validation.
 * https://epoberezkin.github.io/ajv/custom.html
 * @type {Array}
 */
export declare const CUSTOM_AJV_KEYWORDS: {
    name: string;
    definition: {
        type: string;
        $data: boolean;
        /**
         * Validator function which compares minDate with date.
         * @type {boolean}
         */
        validate: (schemaDate: any, date: any, parentSchema: any) => boolean;
    };
}[];
