import { OnInit } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { JsonSchemaFormService } from '../json-schema-form.service';
export declare class NumberComponent implements OnInit {
    private jsf;
    formControl: AbstractControl;
    controlName: string;
    controlValue: any;
    boundControl: boolean;
    options: any;
    allowNegative: boolean;
    allowDecimal: boolean;
    allowExponents: boolean;
    lastValidNumber: string;
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    private dataChanges$;
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly controlDisabled: boolean;
    updateValue(event: any): void;
    updateDisabled(): void;
}
